Skip to main content
`Ctrl`+`K`

# DMForestGetAdaptivitySuccess

Return whether the requested adaptation (refinement, coarsening, repartitioning, etc.) was successful.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetAdaptivitySuccess(DM dm, PetscBool *success)

Collective

## Input Parameter

- dm - the post-adaptation forest

## Output Parameter

- success - `PETSC_TRUE` if the post-adaptation forest is different from the pre-adaptation forest.

## Notes

`PETSC_FALSE` indicates that the post-adaptation forest is the same as the pre-adaptation forest. A requested adaptation may have been unsuccessful if, for example, the requested refinement would have exceeded the maximum refinement level.

## See Also

`DM`, `DMFOREST`

## Level

intermediate

## Location

src/dm/impls/forest/forest.c

## Implementations

DMForestGetAdaptivitySuccess_pforest() in src/dm/impls/forest/p4est/pforest.h

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages